/*
 *                      resource.c
 * $Id: resource.h,v 1.2 2004/01/22 21:09:00 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef _STK_RESOURCE_H_
#define _STK_RESOURCE_H_

struct stk_resource {
	xcursor		*xc_handptr;	/* pointing hand */
	xcursor		*xc_handclick;	/* clicking hand */
	xcursor		*xc_handgrab;	/* grabbing hand */
	xcursor		*xc_handopen;	/* opening hand */
};

void		     stk_initialize_resource(xrootwindow *);
void		     stk_finalize_resource(xrootwindow *);
struct stk_resource *stk_get_resource(void);

#endif /* _STK_RESOURCE_H_ */
