/*
 *			subr.h
 * $Id: subr.h,v 1.3 2004/01/06 03:36:11 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_SUBR_H_
#define _XP_SUBR_H_

#include "strlist.h"

inline static char *xp_strdup_inline(const char *p){ return xp_strdup(p);}
inline static void xp_strfree_inline(const char *p){ xp_strfree(p); }

/* delete strlist */
inline static void strlist_delete(strlist slst)
{
	aggregator_delete_by(slst, xp_strfree_inline);
}

/* duplicate strlist */
inline static strlist strlist_dup(strlist slst)
{
	return aggregator_dup_by(slst, (const char *(*)(const char *))xp_strdup_inline);
}

#endif /* _XP_SUBR_H_ */
